Create Scan Template

For API version information, refer to the API Version History section.

V2.0|V3.0|V4.0|V7.0

Scan report template supports enhanced capabilities across versions:
- Kernel Live Patch (v5): Provides the ability to exclude Linux kernel CVEs that are already fixed by live patches, reducing false positives and improving visibility into truly actionable vulnerabilities.

- Deep Scan (v6): Discovers vulnerable software and binaries in non-standard locations that traditional scans may miss. This API allows Deep Scan findings to be included in scan report templates.

- CVSS v4.0 Support (v7): Uses enhanced vulnerability scoring for greater precision and context‑aware reporting in API‑driven workflows.

To enable features from earlier versions (v5 and v6) and the current version (v7), if CVSS v4 is not visible in your environment, contact your Technical Account Manager (TAM) or Qualys Support.

V2.0

POST /api/2.0/fo/report/template/scan/?action=create

Create a scan report template in the user's account.

Input ParametersInput Parameters

Click here to view parameters for creating scan templates.

Sample - Create Scan TemplateSample - Create Scan Template

API Request

curl -u "<username>:<password>" -H "X-Requested-With:curl" -X POST -H "Content-type: text/xml" --data-binary @scan_export.xml "<qualys_base_url>/api/2.0/fo/report/template/scan/?action=create&report_format=xml"

XML Output

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE SIMPLE_RETURN SYSTEM "<qualys_base_url>/api/2.0/simple_return.dtd">
<SIMPLE_RETURN>
  <RESPONSE>
    <DATETIME>2017-04-06T05:41:32Z</DATETIME>
    <CODE>Scan Report Template(s) Created Successfully [89876]</CODE>
    <TEXT></TEXT>
  </RESPONSE>
</SIMPLE_RETURN>

DTD

<platform API server>/api/2.0/simple_return.dtd

V3.0

POST /api/3.0/fo/report/template/scan/?action=create

Create a scan report template in the user's account.

Input ParametersInput Parameters

Click here to view parameters for creating scan templates.

Sample - Create Scan TemplateSample - Create Scan Template

API Request

curl --location '<qualys_base_url> /api/3.0/fo/report/template/scan/?action=create&report_format=xml' \
--header 'X-Requested-With: curl' \
--header 'Content-Type: text/xml' \
--header 'Authorization: encoded username:passwordstring' \
--data '

XML Response

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE SIMPLE_RETURN SYSTEM "
<qualys_base_url>/api/3.0/simple_return.dtd">
    <SIMPLE_RETURN>
        <RESPONSE>
            <DATETIME>2025-03-04T06:04:28Z</DATETIME>
            <TEXT>Scan Report Template(s) Successfully Created.</TEXT>
            <ITEM_LIST>
                <ITEM>
                    <KEY>ID</KEY>
                    <VALUE>3038061</VALUE>
                </ITEM>
            </ITEM_LIST>
        </RESPONSE>
    </SIMPLE_RETURN>

DTD

<platform API server>/api/3.0/simple_return.dtd

V4.0

POST /api/4.0/fo/report/template/scan/?action=create

Create a scan report template in the user's account.

Input ParametersInput Parameters

Click here to view parameters for creating scan templates.

Sample - Create Scan TemplateSample - Create Scan Template

API Request

curl --location --request POST '<qualys_base_url>/api/4.0/fo/report/template/scan/?action=create&report_format=xml' \
--header 'Accept: */*' \
--header 'X-Requested-With: curl' \
--header 'content-type: text/xml' \
--header 'Authorization: Basic encoded username:passwordstring'

XML Response

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE SIMPLE_RETURN SYSTEM "<qualys_base_url>/api/4.0/simple_return.dtd">
<SIMPLE_RETURN>
    <RESPONSE>
        <DATETIME>2025-06-17T04:57:23Z</DATETIME>
        <TEXT>Scan Report Template(s) Successfully Created.</TEXT>
        <ITEM_LIST>
            <ITEM>
                <KEY>ID</KEY>
                <VALUE>8737800</VALUE>
            </ITEM>
        </ITEM_LIST>
    </RESPONSE>
</SIMPLE_RETURN>

DTD

<platform API server>/api/4.0/simple_return.dtd

V7.0

POST /api/7.0/fo/report/template/scan/?action=create

Create a scan report template in the user's account.

Input ParametersInput Parameters

Click here to view parameters for creating scan templates.

Sample - Create Scan Report Template for Host Based FindingsSample - Create Scan Report Template for Host Based Findings

API Request

curl --location '
<qualys_base_url>/api/7.0/fo/report/template/scan/?action=create&report_format=xml' \
--header 'Accept: */*' \
--header 'X-Requested-With: curl' \
--header 'content-type: text/xml' \
--header 'Authorization: Bearer <JWT Token>' \

XML Response

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE SIMPLE_RETURN SYSTEM "<qualys_base_url>/api/7.0/simple_return.dtd">
<SIMPLE_RETURN>
    <RESPONSE>
        <DATETIME>2026-04-16T05:16:42Z</DATETIME>
        <TEXT>Scan Report Template(s) Successfully Created.</TEXT>
        <ITEM_LIST>
            <ITEM>
                <KEY>ID</KEY>
                <VALUE>10104919</VALUE>
            </ITEM>
        </ITEM_LIST>
    </RESPONSE>
</SIMPLE_RETURN>

Sample - Create Scan Report Template for Scan Based findingsSample - Create Scan Report Template for Scan Based findings

API Request

curl --location '
<qualys_base_url>/api/7.0/fo/report/template/scan/?action=create&report_format=xml' \
--header 'Accept: */*' \
--header 'X-Requested-With: curl' \
--header 'content-type: text/xml' \
--header 'Authorization: Bearer <JWT Token>' \

XML Response

<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE SIMPLE_RETURN SYSTEM "<qualys_base_url>/api/7.0/simple_return.dtd">
<SIMPLE_RETURN>
    <RESPONSE>
        <DATETIME>2026-04-16T05:30:16Z</DATETIME>
        <TEXT>Scan Report Template(s) Successfully Created.</TEXT>
        <ITEM_LIST>
            <ITEM>
                <KEY>ID</KEY>
                <VALUE>10104953</VALUE>
            </ITEM>
        </ITEM_LIST>
    </RESPONSE>
</SIMPLE_RETURN>

DTD

<platform API server>/api/7.0/simple_return.dtd

API Version History

The following table depicts the information about the different versions of this API along with the status:

API Version EOS EOL
/api/7.0/fo/report/template/scan/?action=create Active Active
/api/4.0/fo/report/template/scan/?action=create December 2026 June 2027
/api/3.0/fo/report/template/scan/?action=create December 2025

June 2026

/api/2.0/fo/report/template/scan/?action=create December 2025 June 2026

 

 

success Thank you! We're glad to hear that this topic was useful.
success We appreciate your feedback. We'll work to make this topic better for you in the future.